scala.reflect

# macros

#### package macros

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. macros
2. AnyRef
3. Any

1. Hide All
2. Show all

Visibility

1. Public
2. All

### Type Members

1. #### type Context = macros.whitebox.Context

   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use blackbox.Context or whitebox.Context instead

### Value Members

1. #### package compiler

2. #### package contexts

3. #### package runtime

4. #### package util

### Inherited from AnyRef

### Inherited from Any

### Ungrouped